catalogs: List available event catalogs

API: earthscope.org:earthscopeiris-seismic-web-services
Endpoint: /event/1/catalogs
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 406
Latency: 1066ms

Description

Returns a list of available earthquake catalogs (e.g., NEIC PDE, ISC, GCMT) that can be used as sources in event queries. Each catalog has different coverage, magnitude types, and update schedules.

From spec: Returns a list of available earthquake catalogs (e.g., NEIC PDE, ISC, GCMT).

Usage Tips

- Catalogs can be specified using the 'catalog' parameter in event queries - Common catalogs: ANSS (Advanced National Seismic System), ISC (International Seismological Centre), GCMT (Global CMT) - Some catalogs may have delayed updates compared to real-time feeds

Examples (1)

List available earthquake catalogs doc_extracted

Retrieves the list of available earthquake catalogs for use in filtering event queries

curl 'https://service.earthscope.org/fdsnws/event/1/catalogs'
import requests

resp = requests.get("https://service.earthscope.org/fdsnws/event/1/catalogs")
data = resp.json()
import zingu_apis

api = zingu_apis.api("earthscope")
result = api.fetch("event/1/catalogs")

for item in result:
    print(item)
const resp = await fetch("https://service.earthscope.org/fdsnws/event/1/catalogs");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:36:05.522151 406 1066ms
2026-04-15 01:14:45.730074 406 1058ms
2026-04-14 00:12:50.476048 406 1005ms
2026-04-12 16:32:46.343709 406 943ms